<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Resource>
	<ID/>
	<Type>Service</Type>
	<Profile>
		<Description>Distributed Information Retrieval Master Service</Description>
		<Class>DIR</Class>
		<Name>Master</Name>
		<Version>1.0.0</Version>
		<Dependencies>
			<Dependency>
				<Class>Index</Class>
				<Name>FullTextIndexLookupService</Name>
				<Version>1.0.0</Version>
			</Dependency>
		</Dependencies>
		<Packages>
			<Main>
				<Description>Describes the port-types of the DIR Master service</Description>
				<Name>Main</Name>
				<Version>1.2.0-2.12.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.dir</groupId>
                    <artifactId>main</artifactId>
                    <version>1.2.0-2.12.0</version>
                </MavenCoordinates>
				
				<GARArchive>org.gcube.dir.master.gar</GARArchive>
				<PortType>
					<Name>gcube/dir/master/factory</Name>
					
				</PortType>
				<PortType>
					<Name>gcube/dir/master/master</Name>
					
				</PortType>
			</Main>
			<Software>
				<Description>Describes port-type stubs</Description>
				<Name>Stubs</Name>
				<Version>1.1.0-2.12.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.dir</groupId>
                    <artifactId>stubs</artifactId>
                    <version>1.1.0-2.12.0</version>
                </MavenCoordinates>
				<Files>
                    <File>org.gcube.dir.master.stubs.jar</File>
                </Files>
			</Software>
			<Software>
				<Description>Test-suite that provides facilities to test main functionality of the DIR Master service</Description>
				<Name>Master-test-suite</Name>
				<Version>1.1.0-2.12.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.dir</groupId>
                    <artifactId>master-test-suite</artifactId>
                    <version>1.1.0-2.12.0</version>
                </MavenCoordinates>
				<Files>
                    <File>org.gcube.dir.master.testsuite.jar</File>
                </Files>
			</Software>
		</Packages>
	</Profile>
</Resource>
